<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="xyz.myachin.saveto">

    <application
        android:name=".App"
        android:allowBackup="true"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.SaveTo">

        <activity
            android:name=".ui.MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".ui.sharing.supports.DisableLaunchIconActivity" />

        <activity
            android:name=".ui.sharing.select.ChooserShareActivity"
            android:exported="true"
            android:label="@string/manual"
            android:theme="@android:style/Theme.Translucent.NoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.SEND" />
                <action android:name="xyz.maychin.saveto.intent.ACTION_DOWNLOADED_MANUAL_CHOOSER" />
                <!-- TODO: for legacy Downloader -->
                <action android:name="downloader.intent.ACTION_FILE_DOWNLOADED" />

                <category android:name="android.intent.category.DEFAULT" />

                <!-- Archives -->
                <data android:mimeType="application/x-bzip" />
                <data android:mimeType="application/x-bzip2" />
                <data android:mimeType="application/gzip" />
                <data android:mimeType="application/vnd.rar" />
                <data android:mimeType="application/x-tar" />
                <data android:mimeType="application/zip" />
                <data android:mimeType="application/x-7z-compressed" />

                <!-- Documents -->
                <data android:mimeType="text/plain" />
                <data android:mimeType="application/x-abiword" />
                <data android:mimeType="application/msword" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.wordprocessingml.document" />
                <data android:mimeType="application/vnd.oasis.opendocument.presentation" />
                <data android:mimeType="application/vnd.oasis.opendocument.spreadsheet" />
                <data android:mimeType="application/vnd.oasis.opendocument.text" />
                <data android:mimeType="application/pdf" />
                <data android:mimeType="application/rtf" />
                <data android:mimeType="application/vnd.ms-powerpoint" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.presentationml.presentation" />
                <data android:mimeType="application/vnd.visio" />
                <data android:mimeType="application/vnd.ms-excel" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" />

                <!-- Images -->
                <data android:mimeType="image/*" />

                <!-- Videos -->
                <data android:mimeType="video/*" />
            </intent-filter>
        </activity>

        <activity
            android:name=".ui.sharing.direct.DirectShareActivity"
            android:exported="true"
            android:label="@string/direct"
            android:theme="@android:style/Theme.Translucent.NoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.SEND" />
                <action android:name="xyz.maychin.saveto.intent.ACTION_DOWNLOADED_DIRECT_CHOOSER" />

                <category android:name="android.intent.category.DEFAULT" />

                <!-- Archives -->
                <data android:mimeType="application/x-bzip" />
                <data android:mimeType="application/x-bzip2" />
                <data android:mimeType="application/gzip" />
                <data android:mimeType="application/vnd.rar" />
                <data android:mimeType="application/x-tar" />
                <data android:mimeType="application/zip" />
                <data android:mimeType="application/x-7z-compressed" />

                <!-- Documents -->
                <data android:mimeType="text/plain" />
                <data android:mimeType="application/x-abiword" />
                <data android:mimeType="application/msword" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.wordprocessingml.document" />
                <data android:mimeType="application/vnd.oasis.opendocument.presentation" />
                <data android:mimeType="application/vnd.oasis.opendocument.spreadsheet" />
                <data android:mimeType="application/vnd.oasis.opendocument.text" />
                <data android:mimeType="application/pdf" />
                <data android:mimeType="application/rtf" />
                <data android:mimeType="application/vnd.ms-powerpoint" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.presentationml.presentation" />
                <data android:mimeType="application/vnd.visio" />
                <data android:mimeType="application/vnd.ms-excel" />
                <data android:mimeType="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" />

                <!-- Images -->
                <data android:mimeType="image/*" />

                <!-- Videos -->
                <data android:mimeType="video/*" />
            </intent-filter>
        </activity>

        <activity
            android:name=".ui.settings.MimeTypesSettingsActivity"
            android:label="@string/mime_type_screen_label" />

        <activity
            android:name=".ui.settings.SettingsActivity"
            android:label="@string/title_activity_settings" />

        <activity android:name=".ui.sharing.supports.NeedDownloaderActivity" />

        <activity android:name=".ui.sharing.RequestAccessToFolderActivity" />

        <activity
            android:name=".ui.sharing.direct.DirectFileSaveBaseActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.direct.DirectFileSaveDocumentsActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.direct.DirectFileSaveArchivesActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.direct.DirectFileSaveImagesActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.direct.DirectFileSaveVideoActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <activity
            android:name=".ui.sharing.select.ChooserBaseActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.select.ChooserDocumentActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.select.ChooserArchiveActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.select.ChooserImagesActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
        <activity
            android:name=".ui.sharing.select.ChooserVideoActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />
    </application>

</manifest>